Skip to main content
`Ctrl`+`K`

# DMFieldGetType

Gets the `DMFieldType` name (as a string) from the `DMField`.

## Synopsis

    #include "petscdmfield.h"
    #include "petscdmfield.h"
    PetscErrorCode DMFieldGetType(DMField field, DMFieldType *type)

Not Collective

## Input Parameter

- field - The `DMField` context

## Output Parameter

- type - The `DMFieldType` name

## See Also

`DMField`, `DMFieldSetType()`, `DMFieldType`

## Level

advanced

## Location

src/dm/field/interface/dmfield.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages